reblock(8)

NAME
reblock - change filesystem block size.

SYNOPSIS
reblock [-nqvV] inode_table device blocksize

DESCRIPTION
reblock using information from inode table change each files' fragments placing so, that it was align by blocks bounds with new size. WARNING: with increasing filesystem block size it will be makes really writing to device, and former device filesystem will be destroyed. WARNING: with increasing filesystem block size and small free space on device probably there will not enough space for allocating the next block. At the same time utility will exit with error and not only former device filesystem will be destroyed, but also already moved files of external inode table will be partially shifted or inaccessible. In this connection RECOMMENDED first use utility with -n option.

OPTIONS

-n  Don't actually reblock the device. In this case it don't actually read or write on device, nevertheless new inode table will be formed in memory, will be checked whether there is enough space on device for allocating all blocks.

-q  Don't print any messages.

-v  Print number of new fragments for every file.

-V  Print the version number and exit.

inode_table
    External inode table. From the file will be read former filesystem file location and to the file will be written new its location.

device
    Device for changing blocksize.

blocksize
    New blocksize. It must be number power of 2 and not less than 512.

USAGE EXAMPLES
Check for enough free space on device:
$ reblock -n ~/inode.table /dev/hda1 4096 Reblock /dev/hda1 to 4096 blocksize:
$ reblock ~/inode.table /dev/hda1 4096

AUTHOR
Nikolaj Krivchenkov aka unDEFER <undefer@gmail.com>

BUG REPORTS
Messages about any problem with using anyfs-tools package send to undefer@gmail.com

AVAILABILITY
You can obtain the last version of package at http://anyfs-tools.sourceforge.net

SEE ALSO
anyfs-tools(8), anyfs_inode_table(5)